Bug 268627 - Code Completion adds std::std::map
Code Completion adds std::std::map
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
Dev
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-21 11:36 UTC by soldatov
Modified: 2016-12-07 14:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-10-21 11:36:26 UTC
Scenario:
- Launch IDE on Solaris
- Create new project and select GCC compiler
- Type in empty C++ fie:


int main(int argc, char** argv) {

    return 0;
}

- Type std::map and press Ctrl-Space
- Select "map<_Key,_Tp,_Compare,_Alloc>" item
==> IDE adds std::std::map line
Comment 1 Vladimir Kvashin 2016-10-21 11:50:07 UTC
That's most likely a regression after fixing issue 267752 and issue 268487.
Comment 2 Vladimir Voskresensky 2016-11-29 18:13:13 UTC
Alexander, please, help to fix
Comment 3 Alexander Simon 2016-11-30 12:40:52 UTC
fixed in enum, branch release82, change set 45c168c67f2f
Comment 4 Quality Engineering 2016-12-03 03:03:17 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fcf8ce47e991
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268627 Code Completion adds std::std::map
(transplanted from 45c168c67f2ffec91f900b217ed047cb6cfab640)
Comment 5 soldatov 2016-12-07 14:34:10 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo